
<!DOCTYPE html>
<html>
	<head>
		
		<title>
			My Stack
		</title>
		
			
			
		<!-- jqueury stuff.  Only used for the animation speed slider. -->
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
		<script src="http://code.jquery.com/ui/1.9.2/jquery-ui.js"></script>
		<link rel="stylesheet" href="lib/jquery-ui-1.8.11.custom.css">
				
		<!-- Javascript for the actual visualization code -->
		<script type = "text/javascript" src = "lib/CustomEvents.js"> </script>
		<script type = "text/javascript" src = "lib/UndoFunctions.js"> </script>
		<script type = "text/javascript" src = "lib/AnimatedObject.js"> </script>
		<script type = "text/javascript" src = "lib/AnimatedLabel.js"> </script>
		<script type = "text/javascript" src = "lib/AnimatedRectangle.js"> </script>
		<script type = "text/javascript" src = "lib/ObjectManager.js"> </script>
		<script type = "text/javascript" src = "lib/AnimationMain.js"> </script>
		<script type = "text/javascript" src = "lib/Algorithm.js"> </script>
		<script type = "text/javascript" src = "MyStackInterface.js"> </script> 
	 </head> 
	
	<body onload="init();" class="VisualizationMainPage">
		
		<div id = "container">
				<h1>My Stack</h1>
		
			
			<div = id = "mainContent"> 
				
				<div id = "algoControlSection">
					<!-- Table for buttons to control specific animation (insert/find/etc) -->
					<!-- (filled in by javascript code specific to the animtion) -->
					<table id="AlgorithmSpecificControls"> </table> 
				</div>
				
					<!-- Drawing canvas where all animation is done.  Note:  can be resized in code -->
									
				<canvas id="canvas" width="1000" height="500"></canvas>
				
				<div id = "generalAnimationControlSection">
					<!-- Table for buttons to control general animation (play/pause/undo/etc) ->
					<!-- (filled in by javascript code, specifically AnimationMain.js)  -->

					<table id="GeneralAnimationControls">  </table>		
				</div>
				
			</div> <!-- mainContent -->

		</div><!-- container -->
	</body>
</html>
